Gtk2::Gdk::PangoRenderer(3)

NAME
Gtk2::Gdk::PangoRenderer

HIERARCHY
  Glib::Object
  +----Pango::Renderer
       +----Gtk2::Gdk::PangoRenderer

METHODS

  renderer = Gtk2::Gdk::PangoRenderer->new ($screen)

•   $screen (Gtk2::Gdk::Screen)

  renderer = Gtk2::Gdk::PangoRenderer->get_default ($screen)

•   $screen (Gtk2::Gdk::Screen)

  $gdk_renderer->set_drawable ($drawable)

•   $drawable (Gtk2::Gdk::Drawable or undef)

  $gdk_renderer->set_gc ($gc)

•   $gc (Gtk2::Gdk::GC or undef)

  $gdk_renderer->set_override_color ($part, $color)

•   $part (Pango::RenderPart)

•   $color (Gtk2::Gdk::Color or undef)

  $gdk_renderer->set_stipple ($part, $stipple)

•   $part (Pango::RenderPart)

•   $stipple (Gtk2::Gdk::Bitmap or undef)

PROPERTIES

'screen' (Gtk2::Gdk::Screen : default undef : readable / writable / construct-only / private)
    the GdkScreen for the renderer

ENUMS AND FLAGS

  enum Pango::RenderPart

•   'foreground' / 'PANGO_RENDER_PART_FOREGROUND'

•   'background' / 'PANGO_RENDER_PART_BACKGROUND'

•   'underline' / 'PANGO_RENDER_PART_UNDERLINE'

•   'strikethrough' / 'PANGO_RENDER_PART_STRIKETHROUGH'

SEE ALSO
Gtk2, Glib::Object, Pango::Renderer

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.